=== debian/changelog ===
golang-github-smallstep-certificates (0.15.15-4) unstable; urgency=medium

  * Team upload.
  * Skip another test failing on 32 bit

 -- Nilesh Patra <nilesh@debian.org>  Sat, 20 Aug 2022 14:57:51 +0530

golang-github-smallstep-certificates (0.15.15-3) unstable; urgency=medium

  * Team upload.
  * Skip TestParse which has problems with
    golang 1.19 (skipped upstream as well w/ build tags)
    (Closes: #1010392)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 20 Aug 2022 07:37:48 +0000

golang-github-smallstep-certificates (0.15.15-2) unstable; urgency=medium

  * Team Upload.
  * Move to unstable post release
  * Re-Add Built-Using
  * Add patch to fix build (Closes: #1002969)
  * d/rules: Ignore challenge_test

 -- Nilesh Patra <nilesh@debian.org>  Wed, 16 Feb 2022 03:36:48 +0530

golang-github-smallstep-certificates (0.15.15-1) experimental; urgency=medium

  * Initial release (Closes: #990946)

 -- Peymaneh Nejad <p.nejad@posteo.de>  Tue, 10 Aug 2021 17:29:35 +0200
