=== debian/control ===
Source: golang-github-smallstep-certificates
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Peymaneh Nejad <p.nejad@posteo.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-masterminds-sprig-dev,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-go-chi-chi-dev,
               golang-github-go-kit-kit-dev,
               golang-github-pkg-errors-dev,
               golang-github-urfave-cli-dev,
               golang-github-stretchr-testify-dev <!nocheck>,
               golang-github-sirupsen-logrus-dev,
               golang-github-smallstep-assert-dev <!nocheck>,
               golang-github-smallstep-nosql-dev,
               golang-github-thalesignite-crypto11-dev,
               golang-github-newrelic-go-agent-dev,
               golang-github-go-piv-piv-go-dev,
               golang-github-google-uuid-dev,
               golang-github-rs-xid-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-gopkg-square-go-jose.v2-dev,
               golang-step-cli-utils-dev,
               golang-step-crypto-dev,
               libpcsclite-dev,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-smallstep-certificates
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-smallstep-certificates.git
Homepage: https://github.com/smallstep/certificates
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/smallstep/certificates

Package: step-ca
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: private Certificate Authority
 step-ca is and online certificate authority for secure, automated certificate
 management.
 .
 You can use it to:
  - Issue X.509 certificate for your internal infrastructure
    - HTTPS certificate that work in browsers
    - TLS certificates for virtual machines, containers, APIs, mobile clients,
      database connections, printers, Wi-Fi networks, toaster ovens...
    - Client certificates to enable mutual TLS (mTLS) in your infrastrucure.
  - Issue SSH certificates
    - For people, in exchange for single sign-on ID tokens
    - For hosts, in exchange for cloud instance identity documents
  - Easily automate certificate management:
    - It's an ACME v2 server
    - It has a JSON API
 .
 Documentation: https://smallstep.com/docs/step-ca/getting-started

Package: golang-github-smallstep-certificates-dev
Architecture: all
Depends: golang-github-masterminds-sprig-dev,
         golang-github-aws-aws-sdk-go-dev,
         golang-github-go-chi-chi-dev,
         golang-github-go-kit-kit-dev,
         golang-github-pkg-errors-dev,
         golang-github-urfave-cli-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-smallstep-nosql-dev,
         golang-github-thalesignite-crypto11-dev,
         golang-github-newrelic-go-agent-dev,
         golang-github-go-piv-piv-go-dev,
         golang-github-google-uuid-dev,
         golang-github-rs-xid-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-gopkg-square-go-jose.v2-dev,
         golang-step-cli-utils-dev,
         golang-step-crypto-dev,
         libpcsclite-dev,
         ${misc:Depends}
Description: go libraries for private certificate authority
 step-ca is and online certificate authority for secure, automated certificate
 management.
 .
 This package provides multiple go modules used by step-ca (scep, acme, db to
 name a few) as well as example implementations of clients and servers.
