## golang-github-smallstep-certificates 0.19.0

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 SRC=$(shell find . -type f -name '*.go' -not -path "./vendor/*")
 GOOS_OVERRIDE ?=
 OUTPUT_ROOT=output/
+RELEASE=./.releases
 
 all: lint test build
 
@@ -28,7 +29,7 @@
 
 bootstra%:
 	# Using a released version of golangci-lint to take into account custom replacements in their go.mod
-	$Q curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(go env GOPATH)/bin v1.39.0
+	$Q curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(shell go env GOPATH)/bin v1.42.0
 
 .PHONY: bootstra%
 
@@ -67,7 +68,7 @@
 endif
 
 VERSION := $(shell echo $(VERSION) | sed 's/^v//')
-DEB_VERSION := $(shell echo $(VERSION) | sed 's/-/~/g')
+DEB_VERSION := $(shell echo $(VERSION) | sed 's/-/./g')
 
 ifdef V
 $(info    TRAVIS_TAG is $(TRAVIS_TAG))
@@ -153,7 +154,7 @@
 	$Q gofmt -l -w $(SRC)
 
 lint:
-	$Q $(GOFLAGS) LOG_LEVEL=error golangci-lint run --timeout=30m
+	$Q golangci-lint run --timeout=30m
 
 lintcgo:
 	$Q LOG_LEVEL=error golangci-lint run --timeout=30m
@@ -232,35 +233,6 @@
 .PHONY: changelog debian distclean
 
 #################################################
-# Build statically compiled step binary for various operating systems
-#################################################
-
-BINARY_OUTPUT=$(OUTPUT_ROOT)binary/
-RELEASE=./.releases
-
-define BUNDLE_MAKE
-	# $(1) -- Go Operating System (e.g. linux, darwin, windows, etc.)
-	# $(2) -- Go Architecture (e.g. amd64, arm, arm64, etc.)
-	# $(3) -- Go ARM architectural family (e.g. 7, 8, etc.)
-	# $(4) -- Parent directory for executables generated by 'make'.
-	$(q) GOOS_OVERRIDE='GOOS=$(1) GOARCH=$(2) GOARM=$(3)' PREFIX=$(4) make $(4)bin/$(BINNAME) $(4)bin/$(CLOUDKMS_BINNAME) $(4)bin/$(AWSKMS_BINNAME)
-endef
-
-binary-linux:
-	$(call BUNDLE_MAKE,linux,amd64,,$(BINARY_OUTPUT)linux/)
-
-binary-linux-arm64:
-	$(call BUNDLE_MAKE,linux,arm64,,$(BINARY_OUTPUT)linux.arm64/)
-
-binary-linux-armv7:
-	$(call BUNDLE_MAKE,linux,arm,7,$(BINARY_OUTPUT)linux.armv7/)
-
-binary-darwin:
-	$(call BUNDLE_MAKE,darwin,amd64,,$(BINARY_OUTPUT)darwin/)
-
-.PHONY: binary-linux binary-linux-arm64 binary-linux-armv7 binary-darwin
-
-#################################################
 # Targets for creating step artifacts
 #################################################
