=== debian/changelog ===
golang-github-smallstep-certificates (0.19.0-1) unstable; urgency=medium

  * Updating maintainer info
  * Updating Standards-Version
  * New upstream version 0.19.0
  * Drop binary package
  * Drop obsolete patch
  * d/rules: exclude unneeded libraries
  * d/rules: be verbose
  * d/control: Update dependencies
  * Disable disfunctional tests
  * Please lintian

 -- Peymaneh <peymaneh@posteo.net>  Mon, 28 Nov 2022 00:52:26 +0100
