=== debian/control ===
Source: golang-github-smallstep-certificates
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Peymaneh <peymaneh@posteo.net>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-masterminds-sprig-dev,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-go-chi-chi-dev,
               golang-github-go-kit-kit-dev,
               golang-github-pkg-errors-dev,
               golang-github-urfave-cli-dev,
               golang-github-stretchr-testify-dev <!nocheck>,
               golang-github-sirupsen-logrus-dev,
               golang-github-smallstep-assert-dev <!nocheck>,
               golang-github-smallstep-nosql-dev,
               golang-github-thalesignite-crypto11-dev,
               golang-github-micromdm-scep-dev,
               golang-github-newrelic-go-agent-dev,
               golang-github-go-piv-piv-go-dev,
               golang-github-google-uuid-dev,
               golang-github-rs-xid-dev,
               golang-github-fullsailor-pkcs7-dev,
               golang-github-slackhq-nebula-dev (>= 1.6.1~),
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-gopkg-square-go-jose.v2-dev,
               golang-step-cli-utils-dev (>= 0.7.5~),
               golang-step-crypto-dev (>= 0.17.3~),
               golang-step-linkedca-dev,
               libpcsclite-dev,
Standards-Version: 4.6.1.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-smallstep-certificates
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-smallstep-certificates.git
Homepage: https://github.com/smallstep/certificates
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/smallstep/certificates

Package: golang-github-smallstep-certificates-dev
Architecture: all
Depends: golang-github-masterminds-sprig-dev,
         golang-github-aws-aws-sdk-go-dev,
         golang-github-go-chi-chi-dev,
         golang-github-go-kit-kit-dev,
         golang-github-pkg-errors-dev,
         golang-github-urfave-cli-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-smallstep-nosql-dev,
         golang-github-thalesignite-crypto11-dev,
         golang-github-micromdm-scep-dev,
         golang-github-newrelic-go-agent-dev,
         golang-github-go-piv-piv-go-dev,
         golang-github-google-uuid-dev,
         golang-github-rs-xid-dev,
         golang-github-fullsailor-pkcs7-dev,
         golang-github-slackhq-nebula-dev (>= 1.6.1~),
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-gopkg-square-go-jose.v2-dev,
         golang-step-cli-utils-dev (>= 0.7.5~),
         golang-step-crypto-dev (>= 0.17.3~),
         golang-step-linkedca-dev,
         libpcsclite-dev,
         ${misc:Depends}
Description: go libraries for private certificate authority
 step-ca is and online certificate authority for secure, automated certificate
 management.
 .
 This package provides multiple go modules used by step-ca (scep, acme, db to
 name a few) as well as example implementations of clients and servers.
