## golang-github-smallstep-certificates 0.20.0

=== Makefile ===
--- 
+++ 
@@ -151,7 +151,7 @@
 #########################################
 
 fmt:
-	$Q gofmt -l -w $(SRC)
+	$Q gofmt -l -s -w $(SRC)
 
 lint:
 	$Q golangci-lint run --timeout=30m
