=== debian/changelog ===
golang-github-smallstep-certificates (0.20.0-5) unstable; urgency=medium

  * Team upload
  * Tighten dependency on nebula, fix test. Closes: #1103256.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 15 Apr 2025 19:48:11 +0200

golang-github-smallstep-certificates (0.20.0-4) unstable; urgency=medium

  * Team upload
  * patch: upstream fix for flaky test

 -- Jérémy Lal <kapouer@melix.org>  Tue, 15 Apr 2025 19:47:48 +0200

golang-github-smallstep-certificates (0.20.0-3) unstable; urgency=medium

  * Team upload
  * Fix dependency on smallstep-crypto-dev. Closes: #1102443.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 09 Apr 2025 10:36:26 +0200

golang-github-smallstep-certificates (0.20.0-2) unstable; urgency=medium

  * Team upload
  * Switch to golang-github-smallstep-crypto.
    Bump golang-step-cli-utils to 0.7.5+ds-3 to ensure it is
    using golang-github-smallstep-crypto as well.
  * patch: compatibility with smallstep-crypto. Fix tests.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 08 Apr 2025 12:58:29 +0200

golang-github-smallstep-certificates (0.20.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.20.0.
    This version actually passes its own testsuite.
  * Drop applied patch,
    upstream expects CI env var to be true for testsuite.
  * patch: use smallstep-scep for microscep. Closes: #1101848.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 07 Apr 2025 20:20:31 +0200
