=== debian/control ===
--- 
+++ 
@@ -24,12 +24,12 @@
                golang-github-google-uuid-dev,
                golang-github-rs-xid-dev,
                golang-github-fullsailor-pkcs7-dev,
-               golang-github-slackhq-nebula-dev (>= 1.6.1~),
+               golang-github-slackhq-nebula-dev (>= 1.9.3~),
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-gopkg-square-go-jose.v2-dev,
-               golang-step-cli-utils-dev (>= 0.7.5~),
-               golang-step-crypto-dev (>= 0.17.3~),
+               golang-step-cli-utils-dev (>= 0.7.5-3),
+               golang-github-smallstep-crypto-dev,
                golang-step-linkedca-dev,
                libpcsclite-dev,
 Standards-Version: 4.6.1.0
@@ -56,12 +56,12 @@
          golang-github-google-uuid-dev,
          golang-github-rs-xid-dev,
          golang-github-fullsailor-pkcs7-dev,
-         golang-github-slackhq-nebula-dev (>= 1.6.1~),
+         golang-github-slackhq-nebula-dev (>= 1.9.3~),
          golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
          golang-gopkg-square-go-jose.v2-dev,
-         golang-step-cli-utils-dev (>= 0.7.5~),
-         golang-step-crypto-dev (>= 0.17.3~),
+         golang-step-cli-utils-dev (>= 0.7.5-3),
+         golang-github-smallstep-crypto-dev,
          golang-step-linkedca-dev,
          libpcsclite-dev,
          ${misc:Depends}
