=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Exclude cas/cloudcas, kms/cloudkms and cmd/step-cloudkms-init until golang-google-cloud
 # in repos has been updated to v0.83.0
 export DH_GOLANG_EXCLUDES := cmd cas/cloudcas kms/cloudkms kms/azurekms cas/vaultcas examples
-
+export CI := true
 #include /usr/share/dpkg/pkg-info.mk
 #VERSION = $(shell echo $(DEB_VERSION) | cut -d- -f1)
 #LDFLAGS := -ldflags '-w -X "main.Version=$(VERSION)"'
