=== debian/changelog ===
golang-github-smallstep-certificates (0.28.4-2) unstable; urgency=medium

  * Ignore failing test for now.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 21 Oct 2025 16:51:34 +0200

golang-github-smallstep-certificates (0.28.4-1) unstable; urgency=medium

  * Use gbp debian-branch debian/latest.
  * New upstream version 0.28.4
  * Standards-Version: 4.7.2.
  * Drop Rules-Requires-Root: no.
  * Use watch v5.
  * Use --no-binaries to avoid scripts/badger-migration.
  * Run wrap-and-sort -atkb.
  * Refresh B-D/D's.
  * Add Salsa CI as debian/salsa-ci.yml.
  * Disable all old patches (not needed?!).
  * Patch to disable use of Nebula (Debian revdep issue).
  * Patch to fix go-attestation namespace.
  * Patch to fix step/cli-utils namespace.
  * Exclude scripts/badger-migration from build.
  * Install authority/provisioner/aws_certificates.pem.
  * Further disabling of Nebula.
  * Disable some failing tests.
  * Fix d/copyright for verify.go (thanks lrc).
  * Bump debian/* copyright years.
  * Fix executable-not-elf-or-script.
  * Silence patch-file-present-but-not-mentioned-in-series.
  * Drop lintian-overrides.
  * Cleanup d/rules formatting.
  * Add myself as Uploaders.
  * Improve d/copyright for test/integration/scep/internal/x509/.
  * Reduce B-D/D's thanks to check-depends.
  * Use dh-sequence-golang.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 16 Oct 2025 10:51:12 +0200
