=== debian/control ===
Source: golang-github-smallstep-certificates
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Peymaneh <peymaneh@posteo.net>,
           Simon Josefsson <simon@josefsson.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-ccoveille-go-safecast-dev,
               golang-github-coreos-go-oidc-v3-dev,
               golang-github-fxamacker-cbor-dev,
               golang-github-go-chi-chi-dev,
               golang-github-google-go-attestation-dev,
               golang-github-google-go-tpm-dev,
               golang-github-google-uuid-dev,
               golang-github-masterminds-sprig-dev,
               golang-github-newrelic-go-agent-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-rs-xid-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-smallstep-assert-dev <!nocheck>,
               golang-github-smallstep-linkedca-dev,
               golang-github-smallstep-nosql-dev,
               golang-github-smallstep-pkcs7-dev,
               golang-github-smallstep-scep-dev,
               golang-github-stretchr-testify-dev <!nocheck>,
               golang-github-urfave-cli-dev,
               golang-golang-x-crypto-dev (>> 0.39~),
               golang-golang-x-net-dev,
               golang-step-cli-utils-dev,
               libpcsclite-dev,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-smallstep-certificates
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-smallstep-certificates.git
Homepage: https://github.com/smallstep/certificates
XS-Go-Import-Path: github.com/smallstep/certificates

Package: golang-github-smallstep-certificates-dev
Architecture: all
Depends: golang-github-ccoveille-go-safecast-dev,
         golang-github-coreos-go-oidc-v3-dev,
         golang-github-fxamacker-cbor-dev,
         golang-github-go-chi-chi-dev,
         golang-github-google-go-attestation-dev,
         golang-github-google-go-tpm-dev,
         golang-github-google-uuid-dev,
         golang-github-masterminds-sprig-dev,
         golang-github-newrelic-go-agent-dev,
         golang-github-pkg-errors-dev,
         golang-github-prometheus-client-golang-dev,
         golang-github-rs-xid-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-smallstep-linkedca-dev,
         golang-github-smallstep-nosql-dev,
         golang-github-smallstep-pkcs7-dev,
         golang-github-smallstep-scep-dev,
         golang-github-urfave-cli-dev,
         golang-golang-x-crypto-dev (>> 0.39~),
         golang-golang-x-net-dev,
         golang-step-cli-utils-dev,
         libpcsclite-dev,
         ${misc:Depends},
Description: go libraries for private certificate authority
 step-ca is and online certificate authority for secure, automated certificate
 management.
 .
 This package provides multiple go modules used by step-ca (scep, acme, db to
 name a few) as well as example implementations of clients and servers.
