=== debian/changelog ===
golang-github-smallstep-certificates (0.29.0-3) unstable; urgency=medium

  * Increase dh_auto_test timeout 10m->30m for riscv64 debci

 -- Simon Josefsson <simon@josefsson.org>  Tue, 17 Feb 2026 22:47:27 +0100

golang-github-smallstep-certificates (0.29.0-2) unstable; urgency=medium

  * Use proper smallstep/cli-utils
  * Drop Priority: optional
  * Standards-Version: 4.7.3
  * Bump debian/* copyright years
  * Use modern Salsa rdep

 -- Simon Josefsson <simon@josefsson.org>  Sun, 08 Feb 2026 12:47:26 +0100

golang-github-smallstep-certificates (0.29.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Simon Josefsson <simon@josefsson.org>  Sun, 07 Dec 2025 21:30:54 +0100

golang-github-smallstep-certificates (0.29.0-1~exp0) experimental; urgency=medium

  * New upstream version 0.29.0
  * Refresh patches
  * Bump B-D on go-safecast to v2
  * Salsa CI fixes
  * Add B-D golang-github-coreos-go-systemd-dev

 -- Simon Josefsson <simon@josefsson.org>  Sun, 07 Dec 2025 17:09:14 +0100
