=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
            Simon Josefsson <simon@josefsson.org>,
 Section: golang
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
-               golang-github-ccoveille-go-safecast-dev,
+               golang-github-ccoveille-go-safecast-dev (>> 2.0.0~),
                golang-github-coreos-go-oidc-v3-dev,
+               golang-github-coreos-go-systemd-dev,
                golang-github-fxamacker-cbor-dev,
                golang-github-go-chi-chi-dev,
                golang-github-google-go-attestation-dev,
@@ -22,6 +22,7 @@
                golang-github-rs-xid-dev,
                golang-github-sirupsen-logrus-dev,
                golang-github-smallstep-assert-dev <!nocheck>,
+               golang-github-smallstep-cli-utils-dev,
                golang-github-smallstep-linkedca-dev,
                golang-github-smallstep-nosql-dev,
                golang-github-smallstep-pkcs7-dev,
@@ -30,9 +31,8 @@
                golang-github-urfave-cli-dev,
                golang-golang-x-crypto-dev (>> 0.39~),
                golang-golang-x-net-dev,
-               golang-step-cli-utils-dev,
                libpcsclite-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-smallstep-certificates
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-smallstep-certificates.git
 Homepage: https://github.com/smallstep/certificates
@@ -40,8 +40,9 @@
 
 Package: golang-github-smallstep-certificates-dev
 Architecture: all
-Depends: golang-github-ccoveille-go-safecast-dev,
+Depends: golang-github-ccoveille-go-safecast-dev (>> 2.0.0~),
          golang-github-coreos-go-oidc-v3-dev,
+         golang-github-coreos-go-systemd-dev,
          golang-github-fxamacker-cbor-dev,
          golang-github-go-chi-chi-dev,
          golang-github-google-go-attestation-dev,
@@ -53,6 +54,7 @@
          golang-github-prometheus-client-golang-dev,
          golang-github-rs-xid-dev,
          golang-github-sirupsen-logrus-dev,
+         golang-github-smallstep-cli-utils-dev,
          golang-github-smallstep-linkedca-dev,
          golang-github-smallstep-nosql-dev,
          golang-github-smallstep-pkcs7-dev,
@@ -60,7 +62,6 @@
          golang-github-urfave-cli-dev,
          golang-golang-x-crypto-dev (>> 0.39~),
          golang-golang-x-net-dev,
-         golang-step-cli-utils-dev,
          libpcsclite-dev,
          ${misc:Depends},
 Description: go libraries for private certificate authority
