=== debian/rules ===
--- 
+++ 
@@ -27,5 +27,5 @@
 # TestCustomTemplateOptions: https://github.com/smallstep/certificates/issues/2441
 SKIP_TESTS="Test_newHTTPClient|TestPKI_GenerateConfig|TestDB_GetDpopToken|TestDB_CreateDpopToken|TestDB_GetOidcToken|TestDB_CreateOidcToken|TestCustomTemplateOptions"
 override_dh_auto_test:
-	dh_auto_test $(DH_BUILD_OPTS) -- -skip $(SKIP_TESTS)
+	dh_auto_test $(DH_BUILD_OPTS) -- -timeout 30m -skip $(SKIP_TESTS)
 	-timeout 5m dh_auto_test $(DH_BUILD_OPTS) -- -run $(SKIP_TESTS)
